import request from '$project/utils/request'
import Qs from 'qs';

//获取用户角色列表
export function getRoleList() {
	return request({
		url: '/mobile/personInfoApi/findPopedomList',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//切换用户角色列表
export function exchangePopedom(params) {
	return request({
		url: '/mobile/personInfoApi/exchangePopedom',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//退出
export function logOut() {
	return request({
		url: '/mobile/personInfoApi/logOut',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//获取所有功能列表
export function getAllFunList() {
	return request({
		url: '/mobile/icon/findIconByPersonRole',
		data: Qs.stringify({}),
		method: 'post',
	})
}
